libcommon-sense-perl_3.73-2+b3_amd64.deb


Advertisement

Description

libcommon-sense-perl - module that implements some sane defaults for Perl programs

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcommon-sense-perl
Package version: 3.73
Package release: 2+b3
Package architecture: amd64
Package type: deb
Installed size: 94 B
Download size: 23.13 KB
Official Mirror: ftp.br.debian.org
common::sense implements some sane defaults for Perl programs, as defined by two typical (or not so typical - use your common sense) specimens of Perl coders.

Alternatives

    Download

    Source package: libcommon-sense-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcommon-sense-perl deb package:
      # sudo apt-get install libcommon-sense-perl

    Files

    • /usr/lib/x86_64-linux-gnu/perl5/5.20/common/sense.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/common/sense.pod
    • /usr/share/doc/libcommon-sense-perl/changelog.Debian.amd64.gz
    • /usr/share/doc/libcommon-sense-perl/changelog.Debian.gz
    • /usr/share/doc/libcommon-sense-perl/changelog.gz
    • /usr/share/doc/libcommon-sense-perl/copyright
    • /usr/share/lintian/overrides/libcommon-sense-perl
    • /usr/share/man/man3/common::sense.3pm.gz

    Changelog

    2014-09-20 - gregor herrmann <gregoa@debian.org> libcommon-sense-perl (3.73-2) unstable; urgency=medium [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * Drop manual generation of perlapi-* dependency, use debhelper 9.20140809 instead. * Update lintian override to multi-arch directories. * Update years of packaging copyright. * Add Testsuite: autopkgtest-pkg-perl to debian/control. * Declare compliance with Debian Policy 3.9.6.

    2014-06-05 - gregor herrmann <gregoa@debian.org> libcommon-sense-perl (3.73-1) unstable; urgency=medium * New upstream release. * Add perlapi-* to Depends (cf. #750017).

    2014-05-18 - Niko Tyni <ntyni@debian.org> libcommon-sense-perl (3.72-5) unstable; urgency=medium * Team upload. * Slightly loosen the dependency on the current perl version to allow for release candidates (of the form 5.20.0~rc1).

    2014-05-15 - Damyan Ivanov <dmn@debian.org> libcommon-sense-perl (3.72-4) unstable; urgency=medium * Team upload * fix man-ification of sense.pod with multiarch-enabled perl

    2014-03-09 - intrigeri <intrigeri@debian.org> libcommon-sense-perl (3.72-3) unstable; urgency=medium * Team upload. * Bump debhelper compat level to 9. * Reformat debian/control with cme fix dpkg. * Declare compatibility with Standards-Version 3.9.5.

    2013-09-11 - Axel Beckert <abe@debian.org> libcommon-sense-perl (3.72-2) unstable; urgency=low * Team upload [ Axel Beckert ] * debian/copyright: Replace X-Email with Comment [ gregor herrmann ] * Ensure a runtime dependency on the same perl version used at build time. This also adds an upper bound, as opposed to the last upload, and should help to avoid failures like the one described in #722332. Thanks to Hagen Fuchs for the bug report. (Closes: #722332) * Add a source lintian override for a pkg-perl specific lintian debhelper test.

    2013-08-09 - gregor herrmann <gregoa@debian.org> libcommon-sense-perl (3.72-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) [ Xavier Guimard ] * Update debian/copyright years * Bump Standards-Version to 3.9.4 [ gregor herrmann ] * New upstream release. * debian/watch: add uversionmangle to ensure 2-digit minor versions. * debian/rules: recreate manpage from now separate POD file. * Add patch to add encoding to POD/manpage. Thanks to Jakub Wilk for the bug report. (Closes: #699520) * Ensure a runtime dependency on the same Perl patchlevel used during build. Depending on Perl version used for building, different features are activated. * Update years of packaging copyright. * Make package arch:any, following upstream's change. Add a lintian override for the seemingly harmless file.

    2012-06-17 - Salvatore Bonaccorso <carnil@debian.org> libcommon-sense-perl (3.6-1) unstable; urgency=low * Team upload. * Imported Upstream version 3.6

    2012-03-25 - Salvatore Bonaccorso <carnil@debian.org> libcommon-sense-perl (3.5-1) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Angel Abad ] * Email change: Angel Abad -> angel@debian.org [ Salvatore Bonaccorso ] * Imported Upstream version 3.5 * Update format for debian/copyright file. Update format to copyright-format 1.0 as released together with Debian policy 3.9.3. * Bump Standards-Version to 3.9.3 * Bump Debhelper compat level to 8. Adjust versioned Build-Depends on debhelper to (>= 8).

    2011-01-14 - Angel Abad <angelabad@gmail.com> libcommon-sense-perl (3.4-1) unstable; urgency=low [ Angel Abad ] * New upstream release * debian/copyright: - Update license stanzas - Add Files to upstream section * Bump Standards-Version to 3.9.1 (no changes) [ Ansgar Burchardt ] * Update my email address.

    Advertisement
    Advertisement